program fjf24;
var y:packed record z:cardinal(64); end;
begin
{
 writeln(sizeof(y));
 writeln(bitsizeof(y));
 writeln(bitsizeof(y.z));
}
  if ( SizeOf ( y ) = 8 ) and ( BitSizeOf ( y.z ) = 64 ) then
    writeln ( 'OK' )
  else
    writeln ( 'failed' );
end.
